<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:background="@color/md_grey_100"
    android:orientation="vertical">

    <ScrollView
        android:id="@+id/ll_scroll_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:scrollbars="none">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">



            <View
                android:layout_width="match_parent"
                android:layout_height="4dp"
                android:background="@color/md_grey_100" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_marginRight="@dimen/dp_10"
                android:background="@null"
                android:gravity="center_vertical"
                android:visibility="gone"
                android:orientation="vertical">
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@null"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:padding="5dp">
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        style="@style/tvLeftStyle"
                        android:text="错误声音："/>
                    <RadioGroup
                        android:id="@+id/radioGroup2"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"

                        android:orientation="horizontal" >
                        <RadioButton
                            android:id="@+id/rb_open_sound"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:checked="true"
                            android:textSize="@dimen/t24"
                            android:onClick="onRadioButtonClicked"
                            android:text="开启" />

                        <RadioButton
                            android:id="@+id/rb_turn_off_sound"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:onClick="onRadioButtonClicked"
                            android:layout_marginStart="@dimen/dp_10"
                            android:textSize="@dimen/t24"
                            android:text="关闭" />

                    </RadioGroup>
                </LinearLayout>

            </LinearLayout>


            <LinearLayout
                android:id="@+id/ll_batch_box"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_marginTop="@dimen/dp_10"
                android:layout_marginRight="@dimen/dp_10"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:padding="5dp"
                android:background="@drawable/bg_white_et"
                tools:ignore="RtlSymmetry">

                <com.jaredrummler.materialspinner.MaterialSpinner
                    android:id="@+id/ms_batch"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:ellipsize="marquee"
                    android:focusable="true"
                    app:ms_padding_top="5dp"
                    app:ms_padding_bottom="5dp"
                    app:ms_padding_left="10dp"
                    app:ms_popup_padding_left="10dp"
                    android:gravity="center"
                    android:hint="请提示操作批次"
                    android:textSize="@dimen/t24"/>
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/md_grey_100" />

            <LinearLayout
                style="@style/FromLinearLayoutItem"
                android:orientation="horizontal">
                <EditText
                    style="@style/EditTextStyle"
                    android:id="@+id/et_order_no"
                    android:hint="@string/hint_please_scan_no"
                    android:enabled="true"
                    android:text=""/>
                <ImageButton
                    style="@style/ClearImg"
                    android:id="@+id/ib_order_no_clear"
                    />


            </LinearLayout>



            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/md_grey_100" />
            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/md_grey_100" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_marginRight="@dimen/dp_10"
                android:paddingBottom="5dp"
                android:paddingTop="5dp"
                android:orientation="horizontal">
                <TextView
                    android:layout_marginLeft="@dimen/dp_10"
                    style="@style/tvLeftStyle"
                    android:text="最近扫描：" />


            </LinearLayout>

            <LinearLayout
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/bg_white_et"

                android:layout_marginLeft="@dimen/dp_10"
                android:layout_marginRight="@dimen/dp_10"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:scrollbars="vertical"
                android:paddingTop="@dimen/dp_10"
                android:paddingBottom="@dimen/dp_10"
                >
                <android.support.v7.widget.RecyclerView
                    android:id="@+id/recyclerview"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="#fff"
                    android:overScrollMode="never"/>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_marginTop="@dimen/dp_10"
                android:layout_marginRight="@dimen/dp_10"
                android:layout_marginBottom="@dimen/dp_4"
                android:background="@drawable/bg_white_et"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:padding="10dp">
                <TextView
                    style="@style/fontSize"
                    android:id="@+id/btn_batch_upload"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@drawable/bg_orange_item"
                    android:gravity="center"
                    android:text="批量上传数据"
                    android:padding="10dp"
                    android:textColor="@color/white"
                    android:visibility="visible" />
            </LinearLayout>
        </LinearLayout>
    </ScrollView>


    <include layout="@layout/item_float_image" />
</LinearLayout>